CREATE TABLE irc_cx_element_asset_cache (
    ELEMENT_ASSET_CACHE_ID          NUMBER(18, 0) ,
    INTELLIGENT_ASSET_ELEMENT_ID    NUMBER(18, 0)     NOT NULL,
    REF_ENTITY_TYPE                 VARCHAR2(960)     NOT NULL,
    REF_ENTITY_ID                   NUMBER(18, 0)     NOT NULL,
    SITE_NUMBER                     VARCHAR2(960)     NOT NULL,
    SUGGESTED_MEDIA_ASSET_ID        NUMBER(18, 0)     NOT NULL,
    SUGGESTED_MEDIA_ASSET_URL       VARCHAR2(4000)    NOT NULL,
    EXPIRY_DATE                     TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    ELEMENT_ASSET_CACHE_ID          NUMBER(18, 0) ,
    INTELLIGENT_ASSET_ELEMENT_ID    NUMBER(18, 0)     NOT NULL,
    REF_ENTITY_TYPE                 VARCHAR2(960)     NOT NULL,
    REF_ENTITY_ID                   NUMBER(18, 0)     NOT NULL,
    SITE_NUMBER                     VARCHAR2(960)     NOT NULL,
    SUGGESTED_MEDIA_ASSET_ID        NUMBER(18, 0)     NOT NULL,
    SUGGESTED_MEDIA_ASSET_URL       VARCHAR2(4000)    NOT NULL,
    EXPIRY_DATE                     TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    CONSTRAINT pk_irc_cx_element_asset_cache PRIMARY KEY (ELEMENT_ASSET_CACHE_ID, ELEMENT_ASSET_CACHE_ID)
);
